Security Updates for Internet Explorer (September 2018)

High Nessus Plugin ID 117423

Synopsis

The Internet Explorer installation on the remote host is affected by multiple vulnerabilities.

Description

The Internet Explorer installation on the remote host is missing security updates. It is, therefore, affected by multiple vulnerabilities :

- A remote code execution vulnerability exists in the way the scripting engine handles objects in memory in Microsoft browsers. The vulnerability could corrupt memory in such a way that an attacker could execute arbitrary code in the context of the current user. An attacker who successfully exploited the vulnerability could gain the same user rights as the current user.
(CVE-2018-8457)

- An information disclosure vulnerability exists when the browser scripting engine improperly handle object types.
An attacker who has successfully exploited this vulnerability might be able to read privileged data across trust boundaries. In browsing scenarios, an attacker could convince a user to visit a malicious site and leverage the vulnerability to obtain privileged information from the browser process, such as sensitive data from other opened tabs. An attacker could also inject malicious code into advertising networks used by trusted sites or embed malicious code on a compromised, but trusted, site. The security update addresses the vulnerability by correcting how the browser scripting engine handles object types. (CVE-2018-8315)

- A remote code execution vulnerability exists when Internet Explorer improperly accesses objects in memory.
The vulnerability could corrupt memory in such a way that an attacker could execute arbitrary code in the context of the current user. An attacker who successfully exploited the vulnerability could gain the same user rights as the current user. (CVE-2018-8447)

- A security feature bypass vulnerability exists in Internet Explorer due to how scripts are handled that allows a universal cross-site scripting (UXSS) condition. An attacker could use the UXSS vulnerability to access any session belonging to web pages currently opened (or cached) by the browser at the time the attack is triggered. (CVE-2018-8470)

- An information disclosure vulnerability exists when the scripting engine does not properly handle objects in memory in Microsoft browsers. An attacker who successfully exploited the vulnerability could obtain information to further compromise the users system.
(CVE-2018-8452)

Solution

Microsoft has released the following security updates to address this issue:
-KB4457135
-KB4457426
-KB4457129
-KB4457144
-KB4458010

See Also

http://www.nessus.org/u?02ec6b51

http://www.nessus.org/u?38b6caf5

http://www.nessus.org/u?7080d669

http://www.nessus.org/u?955c2a0f

http://www.nessus.org/u?3a9824bb

Plugin Details

Severity: High

ID: 117423

File Name: smb_nt_ms18_sep_internet_explorer.nasl

Version: 1.3

Type: local

Agent: windows

Published: 2018/09/11

Modified: 2018/09/17

Dependencies: 57033, 13855, 93962

Risk Information

Risk Factor: High

CVSS Score Source: manual

CVSS Score Rationale: Score based on analysis of the vendor advisory.

CVSSv2

Base Score: 7.6

Vector: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

CVSSv3

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:ie

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Patch Publication Date: 2018/09/11

Vulnerability Publication Date: 2018/09/11

Reference Information

CVE: CVE-2018-8315, CVE-2018-8447, CVE-2018-8452, CVE-2018-8457, CVE-2018-8470

MSKB: 4457135, 4457426, 4457129, 4457144, 4458010

MSFT: MS18-4457135, MS18-4457426, MS18-4457129, MS18-4457144, MS18-4458010

IAVA: 2018-A-0289